[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.MoveColRow

Moves the specified column or row to the new position.

## Declaration

Source position: valedit.pas line 195

`public procedure TValueListEditor.MoveColRow(`
`IsColumn: Boolean;`
`FromIndex: Integer;`
`ToIndex: Integer`
`);`

## Arguments

`IsColumn` |  | True if the operation affects a column.
`FromIndex` |  | Original position of the row or column.
`ToIndex` |  | Target position for the row or column.

## Description

MoveColRow is a procedure used to move the specified column or row to the new position. IsColumn indicates if the positions are in a column or in a row in the control. The two-column layout in TValueListEditor prevents moving column values. When IsColumn is True, an EGridException exception is raised with the message in rsVLEInvalidRowColOperation.

When IsColumn is False, the values in Strings stored at the relative position in FromIndex are deleted. The values are re-inserted in Strings at the relative position in ToIndex.

## See also

TValueListEditor.Strings |  | Stores the keys, values, and item definitions in the control.
EGridException